commandwindow 
clear
clc
close all
syms p
p = 0.35
v = 40
t = 10
g = 9.81
m = 68.1
for i = 1:40
    iter(i+1) = i;
    %Let x = f(p) and y = f'(p)
    x = (((g*m)/p(i))*(1-exp(-(p(i)/m)*t)))-v
    y = (g*t*exp(-(p(i)*t)/m))/p(i) + (g*m*(exp(-(p(i)*t)/m) - 1))/(p(i)^2)
    p(i+1) = p(i)-(x/y)
    Ea(i+1) = abs((p(i+1)-p(i))/p(i+1))*100;
    if Ea(i+1)<=1E-11
        break
    end
end
table(iter',p',Ea')