commandwindow
clear
clc
format bank
c = 1.79;
z0 = 0;
zf = 2;
t0 = 0;
tf = 0.1;
dz = 0.2;
dt = 0.01;
a = (tf-t0)/dt;
b = (zf-z0)/dz;
r = c*dt/(dz^2);
t = [t0:dt:tf];
z = [z0:dz:zf];
T = 0;
T(1:a+1,1) = 0;
T(1,1:b+1) = 2*(z.^3);
T(1:a+1,b+1) = T(1,b+1);
for j = 1:a;
    i = 2:b;
    T(j+1,i) = (r*T(j,i-1))+((1-(2*r))*T(j,1))+(r*T(j,i+1));
end
mesh(z,t,T)
xlabel('distance')
ylabel('time')